package com.yiqi.settlement.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.settlement.domain.SettlementStoreRate;

/**
 * 门店结算费率配置Service接口
 *
 * @author ruoyi
 * @date 2024-09-03
 */
public interface ISettlementStoreRateService extends IService<SettlementStoreRate> {

    //<editor-folder desc="基础函数">
    /**
     * 查询门店结算费率配置
     *
     * @param id 门店结算费率配置主键
     * @return 门店结算费率配置
     */
    public SettlementStoreRate selectSettlementStoreRateById(Long id);

    /**
     * 查询门店结算费率配置列表
     *
     * @param settlementStoreRate 门店结算费率配置
     * @return 门店结算费率配置集合
     */
    public List<SettlementStoreRate> selectSettlementStoreRateList(SettlementStoreRate settlementStoreRate);

    /**
     * 新增门店结算费率配置
     *
     * @param settlementStoreRate 门店结算费率配置
     * @return 结果
     */
    public int insertSettlementStoreRate(SettlementStoreRate settlementStoreRate);

    /**
     * 修改门店结算费率配置
     *
     * @param settlementStoreRate 门店结算费率配置
     * @return 结果
     */
    public int updateSettlementStoreRate(SettlementStoreRate settlementStoreRate);

    /**
     * 批量删除门店结算费率配置
     *
     * @param ids 需要删除的门店结算费率配置主键集合
     * @return 结果
     */
    public int deleteSettlementStoreRateByIds(Long[] ids);

    /**
     * 删除门店结算费率配置信息
     *
     * @param id 门店结算费率配置主键
     * @return 结果
     */
    public int deleteSettlementStoreRateById(Long id);


    //</editor-folder>
}
