package com.yiqi.settlement.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.settlement.domain.SettlementFactoryRate;
import org.apache.ibatis.annotations.Mapper;

/**
 * 门店结算费率配置Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-03
 */
@Mapper
public interface SettlementFactoryRateMapper extends BaseMapper<SettlementFactoryRate> {
    //<editor-folder desc="基础韩素">

    /**
     * 查询门店结算费率配置
     *
     * @param id 门店结算费率配置主键
     * @return 门店结算费率配置
     */
    public SettlementFactoryRate selectSettlementFactoryRateById(Long id);

    /**
     * 查询门店结算费率配置列表
     *
     * @param settlementFactoryRate 门店结算费率配置
     * @return 门店结算费率配置集合
     */
    public List<SettlementFactoryRate> selectSettlementFactoryRateList(SettlementFactoryRate settlementFactoryRate);

    /**
     * 新增门店结算费率配置
     *
     * @param settlementFactoryRate 门店结算费率配置
     * @return 结果
     */
    public int insertSettlementFactoryRate(SettlementFactoryRate settlementFactoryRate);

    /**
     * 修改门店结算费率配置
     *
     * @param settlementFactoryRate 门店结算费率配置
     * @return 结果
     */
    public int updateSettlementFactoryRate(SettlementFactoryRate settlementFactoryRate);

    /**
     * 删除门店结算费率配置
     *
     * @param id 门店结算费率配置主键
     * @return 结果
     */
    public int deleteSettlementFactoryRateById(Long id);

    /**
     * 批量删除门店结算费率配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSettlementFactoryRateByIds(Long[] ids);
    //</editor-folder>
}
