package com.yiqi.settlement.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.settlement.domain.SettlementStoreRate;
import org.apache.ibatis.annotations.Mapper;

/**
 * 门店结算费率配置Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-03
 */
@Mapper
public interface SettlementStoreRateMapper extends BaseMapper<SettlementStoreRate> {
    //<editor-folder desc="基础韩素">

    /**
     * 查询门店结算费率配置
     *
     * @param id 门店结算费率配置主键
     * @return 门店结算费率配置
     */
    public SettlementStoreRate selectSettlementStoreRateById(Long id);

    /**
     * 查询门店结算费率配置列表
     *
     * @param settlementStoreRate 门店结算费率配置
     * @return 门店结算费率配置集合
     */
    public List<SettlementStoreRate> selectSettlementStoreRateList(SettlementStoreRate settlementStoreRate);

    /**
     * 新增门店结算费率配置
     *
     * @param settlementStoreRate 门店结算费率配置
     * @return 结果
     */
    public int insertSettlementStoreRate(SettlementStoreRate settlementStoreRate);

    /**
     * 修改门店结算费率配置
     *
     * @param settlementStoreRate 门店结算费率配置
     * @return 结果
     */
    public int updateSettlementStoreRate(SettlementStoreRate settlementStoreRate);

    /**
     * 删除门店结算费率配置
     *
     * @param id 门店结算费率配置主键
     * @return 结果
     */
    public int deleteSettlementStoreRateById(Long id);

    /**
     * 批量删除门店结算费率配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSettlementStoreRateByIds(Long[] ids);
    //</editor-folder>
}
