package com.yiqi.settlement.service.impl;

import java.util.List;

import com.yiqi.common.utils.DateUtils;
import com.yiqi.common.utils.SecurityUtils;
import com.yiqi.settlement.domain.SettlementFactoryRate;
import com.yiqi.settlement.mapper.SettlementFactoryRateMapper;
import com.yiqi.settlement.service.ISettlementFactoryRateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 门店结算费率配置Service业务层处理
 *
 * @author ruoyi
 * @date 2024-09-03
 */
@Service
public class SettlementFactoryRateServiceImpl extends ServiceImpl<SettlementFactoryRateMapper, SettlementFactoryRate> implements ISettlementFactoryRateService {

    //<editor-folder desc="基础韩素">

    /**
     * 查询门店结算费率配置
     *
     * @param id 门店结算费率配置主键
     * @return 门店结算费率配置
     */
    @Override
    public SettlementFactoryRate selectSettlementFactoryRateById(Long id) {
        return baseMapper.selectSettlementFactoryRateById(id);
    }

    /**
     * 查询门店结算费率配置列表
     *
     * @param settlementFactoryRate 门店结算费率配置
     * @return 门店结算费率配置
     */
    @Override
    public List<SettlementFactoryRate> selectSettlementFactoryRateList(SettlementFactoryRate settlementFactoryRate) {
        return baseMapper.selectSettlementFactoryRateList(settlementFactoryRate);
    }

    /**
     * 新增门店结算费率配置
     *
     * @param settlementFactoryRate 门店结算费率配置
     * @return 结果
     */
    @Override
    public int insertSettlementFactoryRate(SettlementFactoryRate settlementFactoryRate) {
        settlementFactoryRate.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertSettlementFactoryRate(settlementFactoryRate);
    }

    /**
     * 修改门店结算费率配置
     *
     * @param settlementFactoryRate 门店结算费率配置
     * @return 结果
     */
    @Override
    public int updateSettlementFactoryRate(SettlementFactoryRate settlementFactoryRate) {
        settlementFactoryRate.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateSettlementFactoryRate(settlementFactoryRate);
    }

    /**
     * 批量删除门店结算费率配置
     *
     * @param ids 需要删除的门店结算费率配置主键
     * @return 结果
     */
    @Override
    public int deleteSettlementFactoryRateByIds(Long[] ids) {
        return baseMapper.deleteSettlementFactoryRateByIds(ids);
    }

    /**
     * 删除门店结算费率配置信息
     *
     * @param id 门店结算费率配置主键
     * @return 结果
     */
    @Override
    public int deleteSettlementFactoryRateById(Long id) {
        return baseMapper.deleteSettlementFactoryRateById(id);
    }


    //</editor-folder>

}
