package com.yiqi.settlement.service.impl;

import java.util.List;

import com.yiqi.common.utils.DateUtils;
import com.yiqi.common.utils.SecurityUtils;
import com.yiqi.settlement.domain.SettlementStoreRate;
import com.yiqi.settlement.mapper.SettlementStoreRateMapper;
import com.yiqi.settlement.service.ISettlementStoreRateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 门店结算费率配置Service业务层处理
 *
 * @author ruoyi
 * @date 2024-09-03
 */
@Service
public class SettlementStoreRateServiceImpl extends ServiceImpl<SettlementStoreRateMapper, SettlementStoreRate> implements ISettlementStoreRateService {

    //<editor-folder desc="基础韩素">

    /**
     * 查询门店结算费率配置
     *
     * @param id 门店结算费率配置主键
     * @return 门店结算费率配置
     */
    @Override
    public SettlementStoreRate selectSettlementStoreRateById(Long id) {
        return baseMapper.selectSettlementStoreRateById(id);
    }

    /**
     * 查询门店结算费率配置列表
     *
     * @param settlementStoreRate 门店结算费率配置
     * @return 门店结算费率配置
     */
    @Override
    public List<SettlementStoreRate> selectSettlementStoreRateList(SettlementStoreRate settlementStoreRate) {
        return baseMapper.selectSettlementStoreRateList(settlementStoreRate);
    }

    /**
     * 新增门店结算费率配置
     *
     * @param settlementStoreRate 门店结算费率配置
     * @return 结果
     */
    @Override
    public int insertSettlementStoreRate(SettlementStoreRate settlementStoreRate) {
        settlementStoreRate.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertSettlementStoreRate(settlementStoreRate);
    }

    /**
     * 修改门店结算费率配置
     *
     * @param settlementStoreRate 门店结算费率配置
     * @return 结果
     */
    @Override
    public int updateSettlementStoreRate(SettlementStoreRate settlementStoreRate) {
        settlementStoreRate.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateSettlementStoreRate(settlementStoreRate);
    }

    /**
     * 批量删除门店结算费率配置
     *
     * @param ids 需要删除的门店结算费率配置主键
     * @return 结果
     */
    @Override
    public int deleteSettlementStoreRateByIds(Long[] ids) {
        return baseMapper.deleteSettlementStoreRateByIds(ids);
    }

    /**
     * 删除门店结算费率配置信息
     *
     * @param id 门店结算费率配置主键
     * @return 结果
     */
    @Override
    public int deleteSettlementStoreRateById(Long id) {
        return baseMapper.deleteSettlementStoreRateById(id);
    }


    //</editor-folder>

}
